## org.jfree.data.general
Class DatasetChangeEvent

    java.lang.Object
      java.util.EventObject
          org.jfree.data.general.DatasetChangeEvent

All Implemented Interfaces:
  java.io.Serializable

    public class DatasetChangeEvent

extends java.util.EventObject

A change event that encapsulates information about a change to a dataset.

See Also:
  Serialized Form

Field Summary

Fields inherited from class java.util.EventObject
`source`

Constructor Summary
`DatasetChangeEvent(java.lang.Object source, Dataset dataset)` Constructs a new event.

Method Summary
`Dataset` `getDataset()` Returns the dataset that generated the event.

Methods inherited from class java.util.EventObject
`getSource, toString`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Constructor Detail

### DatasetChangeEvent

    public DatasetChangeEvent(java.lang.Object source,
                              Dataset dataset)

  Constructs a new event. The source is either the dataset or the `Plot` class. The dataset can be `null` (in this case the source will be the `Plot` class).

  Parameters:
    `source` - the source of the event.
    `dataset` - the dataset that generated the event (`null` permitted).

Method Detail

### getDataset

    public Dataset getDataset()

  Returns the dataset that generated the event. Note that the dataset may be `null` since adding a `null` dataset to a plot will generated a change event.

  Returns:
    The dataset (possibly `null`).